Bug 1019731 - ubuntu-13.04 KVM guest call traces when booting on ProLiant DL385 G7 host
ubuntu-13.04 KVM guest call traces when booting on ProLiant DL385 G7 host
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 06:01 EDT by Xiaoqing Wei
Modified: 2014-05-27 16:13 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-27 16:13:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from guest. (29.82 KB, text/plain)
2013-10-16 06:01 EDT, Xiaoqing Wei
no flags Details

  None (edit)
Description Xiaoqing Wei 2013-10-16 06:01:38 EDT
Created attachment 812850 [details]
dmesg from guest.

Description of problem:
ubuntu-13.04 KVM guest call traces when booting on ProLiant DL385 G7 host

[    0.012887] ------------[ cut here ]------------
[    0.012896] WARNING: at /build/buildd/linux-3.8.0/arch/x86/kernel/cpu/amd.c:28 init_amd+0x107/0x646()
[    0.012898] Hardware name: KVM
[    0.012899] rdmsrl_amd_safe should only be used on K8!
[    0.012901] Modules linked in:
[    0.012905] Pid: 0, comm: swapper/0 Not tainted 3.8.0-19-generic #29-Ubuntu
[    0.012907] Call Trace:
[    0.012914]  [<ffffffff816b27ed>] ? init_amd+0x107/0x646
[    0.012919]  [<ffffffff810587ef>] warn_slowpath_common+0x7f/0xc0
[    0.012923]  [<ffffffff810588ec>] warn_slowpath_fmt+0x4c/0x50
[    0.012927]  [<ffffffff816b26d0>] ? early_init_amd+0xb9/0xcf
[    0.012930]  [<ffffffff816b27ed>] init_amd+0x107/0x646
[    0.012934]  [<ffffffff816b16e3>] identify_cpu+0x233/0x372
[    0.012939]  [<ffffffff81d1088d>] identify_boot_cpu+0x10/0x3c
[    0.012943]  [<ffffffff81d10b05>] check_bugs+0x9/0x2d
[    0.012947]  [<ffffffff81d06bbd>] start_kernel+0x3a5/0x3dc
[    0.012950]  [<ffffffff81d0666e>] ? do_early_param+0x8e/0x8e
[    0.012953]  [<ffffffff81d06355>] x86_64_start_reservations+0x130/0x133
[    0.012956]  [<ffffffff81d06458>] x86_64_start_kernel+0x100/0x10f
[    0.012965] ---[ end trace 447252a922be6223 ]---


Version-Release number of selected component (if applicable):
kernel-2.6.32-422.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.412.el6.x86_64
spice-server-0.12.4-3.el6.x86_64
gpxe-roms-qemu-0.9.7-6.10.el6.noarch
package vgabios-bin is not installed
sgabios-bin-0-0.3.20110621svn.el6.noarch
seabios-0.6.1.2-28.el6.x86_64


How reproducible:

100%
Steps to Reproduce:

1. boot a ubuntu 13.04 server vm
2.dmesg
3.

Actual results:
bug occur

Expected results:
non warning from dmesg

Additional info:
just warning, and guest works fine
Comment 3 Xiaoqing Wei 2013-10-16 22:32:40 EDT
/root/staf-kvm-devel/autotest-devel/client/tests/virt/qemu/qemu \
    -S \
    -name 'virt-tests-vm1' \
    -nodefaults \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20131015-173942-7y3gpb7k,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control \
    -chardev socket,id=serial_id_serial1,path=/tmp/serial-serial1-20131015-173942-7y3gpb7k,server,nowait \
    -device isa-serial,chardev=serial_id_serial1 \
    -chardev socket,id=seabioslog_id_20131015-173942-7y3gpb7k,path=/tmp/seabios-20131015-173942-7y3gpb7k,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20131015-173942-7y3gpb7k,iobase=0x402 \
    -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4 \
    -drive file='/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/images/ubuntu-13.04-server-64-virtio.qcow2',index=0,if=none,id=drive-virtio-disk1,media=disk,cache=none,snapshot=off,format=qcow2,aio=native \
    -device virtio-blk-pci,bus=pci.0,addr=0x5,drive=drive-virtio-disk1,bootindex=0 \
    -device virtio-net-pci,netdev=idnmcZuR,mac='9a:f7:f8:f9:fa:fb',bus=pci.0,addr=0x3,id='idu7Jt6M' \
    -netdev tap,id=idnmcZuR,vhost=on,vhostfd=23,fd=22 \
    -m 2048 \
    -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 \
    -cpu 'SandyBridge' \
    -M rhel6.5.0 \
    -device AC97,addr=0x6 \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 \
    -vnc :0 \
    -vga cirrus \
    -rtc base=utc,clock=host,driftfix=slew  \
    -boot order=cdn,once=c,menu=off   \
    -no-kvm-pit-reinjection \
    -enable-kvm





processor	: 15
vendor_id	: AuthenticAMD
cpu family	: 16
model		: 9
model name	: AMD Opteron(tm) Processor 6128
stepping	: 1
cpu MHz		: 1999.896
cache size	: 512 KB
physical id	: 1
siblings	: 8
core id		: 3
cpu cores	: 8
apicid		: 39
initial apicid	: 23
fpu		: yes
fpu_exception	: yes
cpuid level	: 5
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nonstop_tsc extd_apicid amd_dcm pni monitor cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs skinit wdt nodeid_msr npt lbrv svm_lock nrip_save pausefilter
bogomips	: 4000.44
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

[root@hp-dl385g7-02 staf-kvm-devel]#
Comment 4 RHEL Product and Program Management 2013-10-19 22:44:36 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Eduardo Habkost 2014-05-27 16:13:20 EDT
* It is a guest bug. The warning is about a coding error, not a hardware problem.
* -cpu SandyBridge must not be used on AMD hosts.

Note You need to log in before you can comment on or make changes to this bug.